%define changeset 327e87c7bb2b

Summary: Window Manager Improved 2, a X11 window manager for hackers
Name: wmii
Version: 3.10
License: MIT
Release: %mkrel 2
Group: Graphical desktop/Other
URL: http://wmii.suckless.org/
Source0: http://hg.suckless.org/wmii/archive/%{name}-%{changeset}.tar.xz
#Source1: http://wmii.cat-v.org/uploads/WMI/wmipaper.pdf.bz2
#Patch1: 02-cflags.dpatch
#Patch2: 03-font.dpatch
#Patch3: 04-libixp.dpatch
Patch4: wmii-config.mk.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: freetype2-devel
BuildRequires: cairo-devel
BuildRequires: python-pyrex
BuildRequires: libxorg-x11-devel
BuildRequires: libxorg-x11-static-devel
BuildRequires: libixp-devel >= 0.6
BuildRequires: python-devel >= 2.6.0
Requires: xterm
Requires: xmessage
Requires: ixpc
Requires: libixp >= 0.6
Obsoletes: wmii < %{version}-%{release}
Obsoletes: wmii+ixp

%description
WMii is a dynamic window manager for X11.  It supports classic and tiled window management with extended keyboard, mouse, and 9P-based remote control.  It consists of the wmii window manager and the wmiir the remote access utility.

%package devel
Summary: Window Manager Improved 2 devel files
Group: Development/C
Obsoletes: wmii+ixp-devel

%description devel
Devel files for Wmii.

%prep
%setup -q -n %{name}-%{changeset}
%patch4 -p1
#bunzip2 -c %{SOURCE1} > wmipaper.pdf

#%patch1 -p1
#%patch2 -p1
#%patch3 -p0

%build
%ifarch x86_64
sed -i -e "/^LIBDIR/s|=.*|= /usr/lib64|" config.mk
%endif

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# install devel files
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
find lib* -name '*.a' -exec cp {} $RPM_BUILD_ROOT%{_libdir} \; -print
find lib* -name '*.h' -exec cp {} $RPM_BUILD_ROOT%{_includedir} \; -print

# Install generated scripts to hook up WMI into gdm, xdm, and Co.
%__mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d
%__cat >    $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/19%name << EOF
NAME=%name
EXEC=%{_bindir}/%name
DESC=%summary
SCRIPT:
exec %{_bindir}/%name
EOF

%clean
rm -rf ${buildroot}

%post
%make_session
/sbin/ldconfig

%postun
%make_session
/sbin/ldconfig

%files
%defattr(0644, root, root, 0755)
%attr(0755, root, root) %{_bindir}/*
%{_mandir}/man*/*
%dir %_sysconfdir/X11/wmii-hg
%attr(0755, root, root) %config(noreplace) %_sysconfdir/X11/wmii-hg/*
%config(noreplace) %_sysconfdir/X11/wmsession.d/19%name
%_defaultdocdir/%{name}/*

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/python2.6/site-packages/
%{_libdir}/libwmii_hack.so
%{_includedir}/*
%{_libdir}/libbio.a
%{_libdir}/libfmt.a
%{_libdir}/libregexp9.a
%{_libdir}/libutf.a
%{_libdir}/libstuff.a

%changelog
* Sat Feb 05 2011 Texstar <texstar at gmail.com> 3.10-2pclos2011
- obsolete wmii+ixp and devel files

* Sat Feb 05 2011 Chomp <chomptheman@gmail.com> 3.10-1pclos2011
- 3.10b1
- remove source1, patch1, patch2, patch3 - all outdated
- add patch4 so spec file doesn't do all the work
- add python-devel to BR
- removed dwm-tools from Req, not necessary
- update files list for devel
- changed descriptions
- removed anything fixed by patch4
- update url and source0

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 3.6-2pclos2010
- fix spec file

* Sun Nov 14 2010 Sproggy <desproggster@gmail.com> 3.6-1pclos2010
- initial build
